# -*- encoding: utf-8 -*-
# stub: schleuder-gitlab-ticketing 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "schleuder-gitlab-ticketing".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://0xacab.org/schleuder/schleuder-gitlab-ticketing/issues", "changelog_uri" => "https://0xacab.org/schleuder/schleuder-gitlab-ticketing/blob/master/CHANGELOG.md", "documentation_uri" => "https://schleuder.org/docs/", "homepage_uri" => "https://schleuder.org/", "mailing_list_uri" => "https://lists.nadir.org/mailman/listinfo/schleuder-announce/", "source_code_uri" => "https://0xacab.org/schleuder/schleuder-gitlab-ticketing/" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["schleuder dev team".freeze]
  s.date = "2019-07-17"
  s.description = "Schleuder Gitlab Ticketing combines a schleuder list with the issue tracker of a gitlab project and operates as a state tracker of threads on the list. This allows one to keep an overview on the state of various requests on a help desk powered by schleuder".freeze
  s.email = "team@schleuder.org".freeze
  s.files = ["CHANGELOG.md".freeze, "CODE_OF_CONDUCT.md".freeze, "CONTRIBUTING.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "MISSION_STATEMENT.md".freeze, "README.md".freeze, "Rakefile".freeze, "lib/schleuder-gitlab-ticketing.rb".freeze, "lib/schleuder-gitlab-ticketing/config.rb".freeze, "lib/schleuder-gitlab-ticketing/gitlab_config.rb".freeze, "lib/schleuder-gitlab-ticketing/list.rb".freeze, "lib/schleuder-gitlab-ticketing/version.rb".freeze, "lib/schleuder/filters/post_decryption/99_gitlab_ticketing.rb".freeze, "schleuder-gitlab-ticketing.gemspec".freeze, "spec/config_spec.rb".freeze, "spec/fixtures/gitlab.yml".freeze, "spec/list_spec.rb".freeze, "spec/schleuder_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://schleuder.org/".freeze
  s.licenses = ["GPL-3.0".freeze]
  s.post_install_message = "\n\n    To activate the filter plugin you will need to link\n    lib/schleuder/filters/post_decryption/99_gitlab_ticketing.rb\n    to /usr/local/lib/schleuder/filters/post_decryption/\n\n  ".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.1.0".freeze)
  s.rubygems_version = "3.1.2".freeze
  s.summary = "Schleuder Gitlab Ticketing is a filter plugin for schleuder to hook a list into a gitlab issue tracker".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gitlab>.freeze, ["~> 4.8"])
    s.add_runtime_dependency(%q<schleuder>.freeze, ["~> 3.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5"])
  else
    s.add_dependency(%q<gitlab>.freeze, ["~> 4.8"])
    s.add_dependency(%q<schleuder>.freeze, ["~> 3.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.5"])
  end
end
